
function setup_axes_3d_zoom(rW, X, Y, Z, bW)
axis equal; grid on; box on;
xlabel('x [m]', Interpreter = "latex"); ylabel('y [m]',Interpreter = "latex"); zlabel('z [m]',Interpreter = "latex");
view(35, 18);
camlight headlight; lighting gouraud;

pad = 0.35*rW;
xlim([min(X(:))-pad, max(X(:))+pad]);
ylim([-bW/2-0.1*bW, bW/2+0.1*bW]);
zlim([min(Z(:))-pad, max(Z(:))+pad]);
end